# Create Domain Record - CreateUDNSRecord

## Overview

Create Domain Record






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `CreateUDNSRecord`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **DNSZoneId** | string | Domain Resource ID |**Yes**|
| **Name** | string | Host Record |**Yes**|
| **Type** | string | Record type. Enumeration values, "A", "CNAME", "MX", "AAAA", "SRV", "PTR", "TXT". |**Yes**|
| **Value** | string | Numeric group, supports comma separation. The format is: Value\|Weight\|IsEnabled, where Weight supports 1-10, IsEnabled is an enumeration value (1 for enabled, 0 for disabled). Input format example: 192.168.1.1\|1\|1,192.168.1.2\|10\|0. |**Yes**|
| **ValueType** | string | Value type. Enumerated values, "Normal", standard; "Multivalue", multiple values returned. Only when the value is "Multivalue", the weight of Value takes effect. |**Yes**|
| **TTL** | int | TTL value, ranging from 5-600, in seconds. The default is 5. |No|
| **Remark** | string | Notes on the record |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **DNSRecordId** | string | Resource ID of the domain record |**Yes**|




## Example

### Request Example
    
```
https://api.genesissai.com/?Action=CreateUDNSRecord
&Region=cn-zj
&ProjectId=GgGuwDzg
&DNSZoneId=OuEgFBYW
&Name=NJBwCHTv
&Type=yLvrhvaV
&Value=sDfoIsxo
&ValueType=DTSxqfSx
&TTL=7
&Remark=snXvcBYa
```

### Response Example
    
```json
{
  "Action": "CreateUDNSRecordResponse",
  "RecordId": "vqoWymst",
  "RetCode": 0
}
```





